#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include "debug.h"

int opt_debug;
void debug(char *format, ...)
{
	va_list ap;

	if (!opt_debug) return;

	va_start(ap, format);
	vfprintf(stdout, format, ap);
	fflush(stdout);
	va_end(ap);
}

void nodebug(char *format, ...)
{}

void debug_hexdump(const char *title, const unsigned char *buf, int len)
{
	int i, left;
	const unsigned char *c = buf;

//	if (!opt_debug) return;

	printf("%s - hexdump (len=%i)\n", title, len);
	left = len;
	while (left > 0) {
		printf("\t");
		for (i = 0; i < 8; i++) {
			printf("%02x ", *c++);
			left--;
			if (left == 0)
				break;
		}
		printf("\n");
	}
}
