#ifndef _FILEIO_H
#define _FILEIO_H

#include <stdio.h>
#include <time.h>

/* defines */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

/* structures */

/* prototypes */

int load_data(void *userdata, FILE *file,
	       int (*process) (void *, char *, char *));
int load_int(const char *data, int *x);
int load_bool(const char *data, int *x);
int load_ip6_addr(const char *data, struct in6_addr *addr, int * prefix_len);
int load_link_addr(const char *data, unsigned char *addr );
int load_char_table(const char *data, char *table, int maxlen);
#endif
