#include <gtk/gtk.h>

#include "list.h"



struct adhoc_windows
{
	GtkWidget *MAIN_window;
	GtkWidget *CREATE_dialog;
	GtkWidget *NICK_dialog;
	GtkWidget *CURR_INFO_dialog;
	GtkWidget *PEER_INFO_dialog;
	GtkWidget *MSG_SEND_dialog;	
	GtkWidget *MSG_RCV_dialog;
	GtkWidget *CONFIG_dialog;
	GtkWidget *PROXY_dialog;
	GtkWidget *PROXY_OUT_dialog;	
	GtkWidget *INFO_dialog;
	GtkWidget *ERROR_dialog;
	GtkWidget *WAIT_dialog;
	GtkWidget *CFRC_dialog;
	GtkWidget *MY_INFO_dialog;	
};









void
on_MAIN_window_destroy                 (GtkObject       *object,
                                        gpointer         user_data);

void
on_CONFIG_DEVICE_combo_entry_insert_text
                                        (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gpointer         position,
                                        gpointer         user_data);


void
on_CONFIG_APPLY_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_CONFIG_NEW_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_CONFIG_SCAN_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_CONFIG_QUIT_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_CONFIG_dialog_destroy               (GtkObject       *object,
                                        gpointer         user_data);

void
on_PROXY_DEVICE_combo_entry_insert_text
                                        (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gpointer         position,
                                        gpointer         user_data);
void
on_PROXY_ENABLE_checkbutton_toggled    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
void
on_PROXY_SCAN_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);
void
on_PROXY_APPLY_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);
void
on_PROXY_dialog_destroy                (GtkObject       *object,
                                        gpointer         user_data);
void
on_PROXY_OUT_dialog_destroy            (GtkObject       *object,
                                        gpointer         user_data);
void
on_PROXY_OUT_ok_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);
void
on_PROXY_OUT_cancel_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_NICK_dialog_destroy                 (GtkObject       *object,
                                        gpointer         user_data);
void
on_ERROR_dialog_destroy                (GtkObject       *object,
                                        gpointer         user_data);
void
on_ERROR_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);
void
on_INFO_dialog_destroy                 (GtkObject       *object,
                                        gpointer         user_data);
void
on_INFO_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
void
on_CREATE_dialog_destroy               (GtkObject       *object,
                                        gpointer         user_data);

void
on_CURR_INFO_dialog_destroy            (GtkObject       *object,
                                        gpointer         user_data);
void
on_CURR_INFO_OK_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);
void
on_PEER_INFO_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);
void
on_PEER_INFO_OK_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);
void
on_MSG_SEND_dialog_destroy             (GtkObject       *object,
                                        gpointer         user_data);
void
on_MSG_SEND_ok_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);
void
on_MSG_SEND_cancel_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);
void
on_MSG_RCV_dialog_destroy              (GtkObject       *object,
                                        gpointer         user_data);
void
on_MSG_RCV_reponse_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);
void
on_MSG_RCV_cancel_button_clicked       (GtkButton       *button,
                                        gpointer         user_data);
void
on_Send_Message_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_MENU_PROXY_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);
void
on_MENU_CONFIG_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);
void
on_PEER_MSG_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);
void
on_CONFERNCE_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);
void
on_PEER_JOIN_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);
void
popup_error(char *msg);
void
thread_popup_error(char *msg);
void
popup_info(char *msg);
void
thread_popup_info(char *msg);
void popup_rcv_message(char *nick, char *msg);
void refresh_adhoc_list();
void rebuild_adhoc_list();
void refresh_infra_list();
void rebuild_infra_list();
void refresh_peer_list();
void rebuild_peer_list( );
void thread_rebuild_peer_list( );
void rebuild_config_devicelist();
void rebuild_proxy_devicelist();
void make_config_dialog(void);
void clean_config_dialog(void);
void make_proxy_dialog(void);
void clean_proxy_dialog(void);


void
on_MAIN_QUIT_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_PROXY_QUIT_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_PEER_INFO_dialog_destroy            (GtkObject       *object,
                                        gpointer         user_data);

void
on_PEER_INFO_ok_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_CURR_INFO_OK_button_destroy         (GtkObject       *object,
                                        gpointer         user_data);

void
on_NICK_cancel_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_NICK_ok_button_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_CREATE_cancel_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_CREATE_ok_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);


void
on_CONFIG_info_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_PROXY_info_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_RAT_button_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_CFRC_dialog_destroy                 (GtkObject       *object,
                                        gpointer         user_data);

void
on_CFRC_cancel_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_CFRC_ok_button_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_MENU_MY_INFO_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_MY_INFO_dialog_destroy              (GtkObject       *object,
                                        gpointer         user_data);

void
on_MY_INFO_dev1_ok_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_MY_INFO_dev2_ok_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_MY_INFO_dev3_ok_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

GtkWidget* make_MY_INFO_dialog (void);

